Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
webhooks
/
{webhookId}
/
deliveries
List endpoint deliveries
curl --request GET \
  --url https://api.meetecho.ai/api/v1/projects/{projectId}/webhooks/{webhookId}/deliveries \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "d1e2f3a4-b5c6-7890-abcd-ef1234567890",
      "webhook_endpoint_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "project_id": "e56b4c35-882d-4604-9944-9763d314ea59",
      "event_id": "cc66d0a2-7cfd-481f-9826-596e2bb9d58f",
      "event_name": "call.summary",
      "payload": {},
      "status": "success",
      "attempt_count": 1,
      "next_retry_at": "2023-11-07T05:31:56Z",
      "created_at": "2026-04-12T15:54:24.323Z",
      "updated_at": "2026-04-12T15:54:24.323Z"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Echo API key — format: echo_<64 hex chars>. Returned once on signup.

Path Parameters

projectId
string<uuid>
required
webhookId
string<uuid>
required

Query Parameters

status
enum<string>
Available options:
pending,
retrying,
success,
failed
event_name
enum<string>
Available options:
call.started,
call.ended,
call.summary
limit
integer
default:50
Required range: 1 <= x <= 100
cursor
string

Pagination cursor from next_cursor in previous response

Response

Paginated delivery list

data
object[]
next_cursor
string | null

Pass as cursor query param to fetch the next page. null when no more results.